/*
 *  ======== main.c ========
 *  Simple example that uses the Sensors APIs
 */
 
#include "TMP117.h"

#include "mcu.h"  /* for mcu_msWait() */
#define sleep(sec) mcu_msWait(1000 * (sec))

extern const TMP117_Handle TMP117_0;

int32_t tmp1170Temp;
int32_t tmp1170TempAsIntCelsius;
int32_t tmp1170TempAsMilliCelsius;
float tmp1170TempAsFloatCelsius;

/*
 *  ======== main ========
 */
int main(void)
{
    /* init sensors with values specified in ti_sensors_config.c */
    TMP117_config(TMP117_0);

    for (;;) {
        /* delay 1 sec */
        /* in continuous modes (CC), polling rate should
        not exceed sensor conversion rate */
        sleep(1);

        /* Read TMP117_0 temp */
        tmp1170Temp = TMP117_read(TMP117_0);
        tmp1170TempAsIntCelsius = TMP117_toIntCelsius(tmp1170Temp);
        tmp1170TempAsMilliCelsius = TMP117_toMilliCelsius(tmp1170Temp);
        tmp1170TempAsFloatCelsius = TMP117_toFloatCelsius(tmp1170Temp);

    }
}